chocobusi - Bug #352

Feature # 238 (Open): [Staff]

Feature # 282 (Open): [Staff] Test
[Staff] [Detail-review-history] Popup chat giao dién hi€n thi khac DS
08/23/2024 02:53 AM - Nguyén Tra

Status: Resolved Start date: 06/18/2024
Priority: Normal Due date:

Assignee: duc tran % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

0 MGi truong test:
https://chocobusi.dt-solution.com/staffs/detail-review-history

0 Cac budc tai hién:

1. Staff login

2. Tai man detail-review-history
3. Click button chat

4. Kiém tra giao dién

0 Két qua hién tai:

4. Giao dién hién thj khac DS

-Khi staff/customer click xem khung chat chua update truGng review_chat_rooms.status
-Bang review_chat_messages required cac trudng customer_id, staff_id, media_path

0 Két qua mong mudn:

4. Giao dién hién thj nhu DS

-Bang review_chat_messages bo required cac truong customer_id, staff_id, media_path
-Khi staff/customer click xem khung chat update trudng review_chat_rooms.status:

Khi customer gui chat cho staff review_chat_rooms.status = customer_send

Khi staff glri chat cho customer review_chat_rooms.status = staff_send

Khi staff m& chat update review_chat_rooms.status = staff_read

Khi customer mé chat update review_chat_rooms.status = customer_read

History

#1 - 08/23/2024 11:53 AM - Nguyén Tra
- File 126.png added
- File 127.png added

#2 - 08/23/2024 12:40 PM - Nguyén Tra
- File deleted (126.png)

#3 - 08/23/2024 12:40 PM - Nguyén Tra
- File deleted (127.png)

#4 - 08/23/2024 12:40 PM - Nguyén Tra
- File 128.png added
- File 127.png added

#5 - 08/28/2024 12:22 PM - Nam Tran

- Status changed from Open to In Progress

#6 - 08/28/2024 01:09 PM - Nam Tran

- Status changed from In Progress to Implemented

01/20/2026

1/3



https://chocobusi.dt-solution.com/staffs/detail-review-history

#7 - 08/28/2024 01:09 PM - Nam Tran

- Assignee changed from Nam Tran to Nguyén Tra

#8 - 08/30/2024 12:51 PM - Nguyén Tra

- Status changed from Implemented to Resolved

#9 - 08/30/2024 12:55 PM - Nguyén Tra
- File 223.png added
- Status changed from Resolved to In Progress

- Assignee changed from Nguyén Tra to Nam Tran

0 Két qua retest Anh 233
4. C4c trudng thoi gian (Thong tin bang history khéng cé default hién thj 1/1)
Luu ndi dung cua chat truéc dé

-Khi staff/customer click xem khung chat chua update trudng review_chat_rooms.status

0 Két qua mong mudn:
4. Chi hién thj théng tin khi cé data
Khong luu ndi dung cua chat truge do

-Khi staff/customer click xem khung chat chua update trudng review_chat_rooms.status

Khi customer guri chat cho staff review_chat_rooms.status = customer_send
Khi staff glri chat cho customer review_chat_rooms.status = staff_send

Khi staff m& chat update review_chat_rooms.status = staff_read

Khi customer mé& chat update review_chat_rooms.status = customer_read

#10 - 08/30/2024 01:10 PM - Nam Tran

- Status changed from In Progress to Implemented

#11 - 09/02/2024 04:52 PM - Nam Tran

- Assignee changed from Nam Tran to Nguyén Tra

#12 - 09/03/2024 03:53 PM - Nguyén Tra

- Status changed from Implemented to Resolved

#13 - 09/03/2024 04:00 PM - Nguyén Tra

- File Screenshot_30.png added

- File Screenshot_31.png added

- File Screenshot_32.png added

- Status changed from Resolved to In Progress

- Assignee changed from Nguyén Tra to Nam Tran

0 Két qua retest
4

-Khi staff/customer click xem khung chat chua update trudng review_chat_rooms.status

-Click button 00 chura d6i mau (update trudng check)
-User site hién thij sai thoi gian
-Thém icon mail & list review histories user site khi staff giri chat

0 Két qua mong mudn:
-Click button 000 d8i mau (update trudng check)

-User site hién thij thoi gian nhu staff
-Thém icon mail & list review histories user site khi staff giri chat

-Khi staff/customer click xem khung chat update trudng review_chat_rooms.status:

Khi customer gtri chat cho staff review_chat_rooms.status = customer_send
Khi staff glri chat cho customer review_chat_rooms.status = staff_send

Khi staff m& chat update review_chat_rooms.status = staff_read

Khi customer mé chat update review_chat_rooms.status = customer_read

#14 - 09/03/2024 10:41 PM - Nam Tran

- Status changed from In Progress to Implemented
#15 - 09/04/2024 11:06 AM - Nam Tran

- Assignee changed from Nam Tran to Nguyén Tra

#16 - 09/04/2024 12:47 PM - Nguyén Tra

- Status changed from Implemented to Resolved

#17 - 09/04/2024 12:47 PM - Nguyén Tra
- Status changed from Resolved to In Progress

- Assignee changed from Nguyén Tra to Nam Tran

#18 - 09/04/2024 01:04 PM - Nam Tran
- Status changed from In Progress to Implemented

- Assignee changed from Nam Tran to Nguyén Tra

#19 - 09/04/2024 03:59 PM - Nguyén Tra
- Status changed from Implemented to Resolved

- Assignee changed from Nguyén Tra to duc tran

Files

128.png 373 KB 08/23/2024 Nguyén Tra
127.png 68.1 KB 08/23/2024 Nguyén Tra
223.png 148 KB 08/30/2024 Nguyén Tra
Screenshot_30.png 108 KB 09/03/2024 Nguyén Tra
Screenshot_31.png 191 KB 09/03/2024 Nguyén Tra
Screenshot_32.png 35.9 KB 09/03/2024 Nguyén Tra

01/20/2026

3/3


http://www.tcpdf.org

